=== ngs-java/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

# default response to "make"
default: subtargs

# the sub-targets
SUBTARGS =  \
	java

# standard rules and phony targets
include $(CURDIR)/Makefile.rules

# rules for making java code
# Java is given special rules because javac defies makefiles
java: Makefile.config
	@ $(MAKE) -f Makefile.java

java_cln: Makefile.config
	@ $(MAKE) -f Makefile.java clean

java_inst: Makefile.config
	@ echo "Checking make status of jars..."
	@ $(MAKE) -s --no-print-directory -f Makefile.java
	@ $(MAKE) -s --no-print-directory -f Makefile.java install
