=== ngs-sdk/language/java/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: std

TOP ?= $(abspath ../..)
include $(TOP)/Makefile.config

INT_LIBS = \
	ngs-bind-java

EXT_LIBS = \

TARGETS =       \
	$(INT_LIBS) \
	$(EXT_LIBS)

all std: $(TARGETS)

clean:
	rm -rf $(ILIBDIR)/$(LPFX)ngs-bind-java* $(OBJDIR)

.PHONY: default all std $(TARGETS)

#-------------------------------------------------------------------------------
# ngs-bind-java
#
ngs-bind-java: $(ILIBDIR) $(OBJDIR) $(ILIBDIR)/$(LPFX)ngs-bind-java.$(LIBX)

BIND_SRC =      	       \
	ReadCollectionItf      \
	ReferenceIteratorItf   \
	ReferenceItf           \
	ReferenceSequenceItf   \
	PileupIteratorItf      \
	PileupItf              \
	PileupEventIteratorItf \
	PileupEventItf         \
	AlignmentIteratorItf   \
	AlignmentItf           \
	ReadGroupIteratorItf   \
	ReadGroupItf           \
	ReadIteratorItf        \
	ReadItf                \
	FragmentItf            \
	StatisticsItf          \
	Package                \
	String                 \
	Refcount               \
	ErrorMsg


BIND_OBJ = \
	$(addprefix $(OBJDIR)/,$(addsuffix .$(LOBX),$(addprefix jni_,$(BIND_SRC))))

$(ILIBDIR)/$(LPFX)ngs-bind-java.$(LIBX): $(BIND_OBJ)
	$(AR) $@ $^
