=== debian/changelog ===
ngs-sdk (1.3.0-3) unstable; urgency=medium

  [ Scott Kitterman ]
  * Reduce unneeded build-dep on python3-all-dev to python3-all
    Closes: #866514

  [ Andreas Tille ]
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * d/rules: do not parse d/changelog
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2017 23:10:33 +0200

ngs-sdk (1.3.0-2) unstable; urgency=medium

  * Fix install dir by using DEB_HOST_MULTIARCH instead of DEB_BUILD_GNU_TYPE
    (thanks for the patch to Graham Inggs <ginggs@debian.org>)
    Closes: #859257

 -- Andreas Tille <tille@debian.org>  Sat, 01 Apr 2017 22:33:07 +0200

ngs-sdk (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * hardening=+bindnow

 -- Andreas Tille <tille@debian.org>  Wed, 09 Nov 2016 08:54:53 +0100
