## ngs-sdk 2.9.0

=== debian/changelog ===
ngs-sdk (2.9.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * Soname change for library: s/libngs-sdk1/libngs-sdk2/
  * New Build-Depends: python3-distutils

 -- Andreas Tille <tille@debian.org>  Sat, 24 Mar 2018 09:34:17 +0100
