=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
            Vincent Danjean <vdanjean@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                d-shlibs,
                python-markdown,
                python-all-dev,
                python3-all,
+               python3-distutils,
                dh-python,
                javahelper,
                maven-repo-helper,
                default-jdk
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ngs-sdk.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/ngs-sdk.git
 Homepage: https://github.com/ncbi/ngs
 
-Package: libngs-sdk1
+Package: libngs-sdk2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -42,7 +43,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libngs-sdk1 (= ${binary:Version})
+         libngs-sdk2 (= ${binary:Version})
 Description: Next Generation Sequencing language Bindings (development)
  NGS is a new, domain-specific API for accessing reads, alignments and
  pileups produced from Next Generation Sequencing. The API itself is
