=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                javahelper,
                maven-repo-helper,
                default-jdk
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ngs-sdk.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ngs-sdk.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/ngs-sdk
+Vcs-Git: https://salsa.debian.org/med-team/ngs-sdk.git
 Homepage: https://github.com/ncbi/ngs
 
 Package: libngs-sdk2
