=== debian/rules ===
--- 
+++ 
@@ -49,11 +49,13 @@
 	markdown_py -f README.html README.md
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make -C $(DEB_SOURCE)/test
 	# Tests of Java binding disabled because need external lib ncbi-vdb,
 	# not available in Debian at this time
 	#CLASSPATH=../$(MULTIARCH)/ngs-java/jar/ngs-java.jar LD_LIBRARY_PATH=$(SODIR)/rel/lib:$(LD_LIBRARY_PATH) make -C ngs-java/examples
 	#CLASSPATH=../$(MULTIARCH)/ngs-java/jar/ngs-java.jar LD_LIBRARY_PATH=../../$(SODIR)/rel/lib:$(LD_LIBRARY_PATH) make -C ngs-java/examples run_all
+endif
 
 override_dh_auto_install:
 	d-shlibmove --commit \
