## ngs-sdk 2.10.1

=== debian/changelog ===
ngs-sdk (2.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.1
  * Fixed more-archs patch, was missing a semicolon

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 10 Jan 2020 16:45:29 +0100

ngs-sdk (2.10.0-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/more_archs: don't hardcode 32 vs 64 bits, use
    dpkg-architecture -qDEB_TARGET_ARCH_BITS

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 10 Jan 2020 14:19:11 +0100

ngs-sdk (2.10.0-3) unstable; urgency=medium

  * Team upload.

  [Frédéric Bonnard]
  * Add support for other architectures based on gcc atomic built-ins
   (Closes: #813559)

  [Michael R. Crusoe]
  * debian/patches/more_archs: enable arm64, mips64el, ppc64el, s390x, riscv64

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 10 Jan 2020 11:20:47 +0100

ngs-sdk (2.10.0-2) unstable; urgency=medium

  * Drop Python2 support
    Closes: #937139
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Wed, 11 Sep 2019 11:10:25 +0200

ngs-sdk (2.10.0-1) unstable; urgency=medium

  [ Olivier Sallou ]
  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Wed, 11 Sep 2019 07:27:49 +0000
