=== debian/control ===
--- 
+++ 
@@ -5,17 +5,16 @@
            Vincent Danjean <vdanjean@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                d-shlibs,
-               python-markdown,
-               python-all-dev,
+               markdown,
                python3-all,
                python3-distutils,
                dh-python,
                javahelper,
                maven-repo-helper,
                default-jdk
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/ngs-sdk
 Vcs-Git: https://salsa.debian.org/med-team/ngs-sdk.git
 Homepage: https://github.com/ncbi/ngs
@@ -41,8 +40,7 @@
 Package: libngs-sdk-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          libngs-sdk2 (= ${binary:Version})
 Description: Next Generation Sequencing language Bindings (development)
  NGS is a new, domain-specific API for accessing reads, alignments and
@@ -81,27 +79,6 @@
  .
  Java bindings.
 
-Package: python-ngs
-Architecture: any
-Section: python
-Depends: ${python:Depends},
-         ${misc:Depends},
-         libngs-sdk-dev (= ${binary:Version})
-Description: Next Generation Sequencing language Bindings (Python bindings)
- NGS is a new, domain-specific API for accessing reads, alignments and
- pileups produced from Next Generation Sequencing. The API itself is
- independent from any particular back-end implementation, and supports
- use of multiple back-ends simultaneously. It also provides a library for
- building new back-end "engines". The engine for accessing SRA data is
- contained within the sister repository ncbi-vdb.
- .
- The API is currently expressed in C++, Java and Python languages. The
- design makes it possible to maintain a high degree of similarity between
- the code in one language and code in another - especially between C++
- and Java.
- .
- Python bindings.
-
 Package: python3-ngs
 Architecture: any
 Section: python
