=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,10 @@
 # since build-results are not ending up in the proper dir its saver to use "*" instead of "$(CPU)"
 SODIR := $(DEB_SOURCE)/$(MULTIARCH)/$(DEB_SOURCE)/$(OS)/gcc/*
 
-build2vers := $(shell pyversions -sv)
 build3vers := $(shell py3versions -sv)
 
 %:
-	dh $@ --with python2,python3,javahelper,jh_maven_repo_helper
+	dh $@ --with python3,javahelper,jh_maven_repo_helper
 
 override_dh_auto_clean:
 	if [ -e ngs-sdk/Makefile.config.$(OS).$(CPU) ] ; then \
@@ -29,11 +28,13 @@
 	rm -f ngs-bam/Makefile.config.install.linux.x86_64.prl
 	rm -f ngs-bam/Makefile.config.linux.x86_64
 	rm -f ngs-bam/reconfigure
+	rm -rf ngs-sdk/ngs/unix/generic
 
 	rm -rf $(DEB_SOURCE)/$(MULTIARCH)
 	rm -rf ngs-python/build
 
 override_dh_auto_configure:
+	mkdir ngs-sdk/ngs/unix/generic && cp debian/atomic32.h ngs-sdk/ngs/unix/generic/
 	# # that's no standard configure script lacking support of default options \
 	./configure --build=$(MULTIARCH) --prefix=/usr -- --source=1.7
 
@@ -46,7 +47,7 @@
 	#cd ngs-bam && LD_LIBRARY_PATH=../$(SODIR)/rel/lib ./configure --build=$(MULTIARCH) --prefix=/usr --with-ngs-sdk-prefix=../ngs-sdk
 	#dh_auto_build --sourcedirectory=ngs-bam
 	dh_auto_build --sourcedirectory=ngs-java -- JAVAC="javac -source 1.7 -target 1.7"
-	markdown_py -f README.html README.md
+	markdown README.md > README.html
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -75,12 +76,6 @@
 		python$$i ./setup.py install --install-layout=deb --root ../debian/python3-ngs; \
 		cd .. ; \
 	done
-	dh_install -ppython-ngs
-	set -e && for i in $(build2vers); do \
-		cd ngs-python ; \
-		python$$i ./setup.py install --install-layout=deb --root ../debian/python-ngs; \
-		cd .. ; \
-	done
 	find debian -name "*.pyc" -delete
 	find debian -type d -name __pycache__ | xargs rm -rf
